<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-meet-heading">Create or edit a Meet</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!meet.id">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_startingDate">Starting Date</label>
                    <div class="d-flex">
                        <input id="field_startingDate" type="datetime-local" class="form-control" name="startingDate" formControlName="startingDate" placeholder="YYYY-MM-DD HH:mm" onchange="dateValidation()"/>
                    </div>
                    <div *ngIf="editForm.get('startingDate').invalid && (editForm.get('startingDate').dirty || editForm.get('startingDate').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('startingDate').errors.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('startingDate').errors?.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_endingDate">Ending Date</label>
                    <div class="d-flex">
                        <input id="field_endingDate" type="datetime-local" class="form-control" name="endingDate" formControlName="endingDate" placeholder="YYYY-MM-DD HH:mm" onchange="isDateProper()"/>
                    </div>
                    <div *ngIf="editForm.get('endingDate').invalid && (editForm.get('endingDate').dirty || editForm.get('endingDate').touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('endingDate').errors.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('endingDate').errors?.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_priority">Priority</label>
                    <select class="form-control" id="field_priority" name="priority" formControlName="priorityId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="priorityOption.id" *ngFor="let priorityOption of priorities; trackBy: trackPriorityById">{{priorityOption.id}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_meetType">Meet Type</label>
                    <select class="form-control" id="field_meetType" name="meetType" formControlName="meetTypeId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="meetTypeOption.id" *ngFor="let meetTypeOption of meettypes; trackBy: trackMeetTypeById">{{meetTypeOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
